Skip to Content

Confirm the phone observed on a WhatsApp test challenge

Requires the same signed-in owner and an exact match with the number reported by WhatsApp. Confirmation does not record consent.

POST
/v1/integrations/catalog/recipes/post-delivery-check-in/owner-test/whatsapp/{accountId}/challenges/{id}/confirm

Requires the same signed-in owner and an exact match with the number reported by WhatsApp. Confirmation does not record consent.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

accountId*string
Match^waba_[0-9a-hjkmnp-tv-z]{16,24}$
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid

Request Body

application/json
  1. body
observedPhone*string
Match^\+[1-9]\d{1,14}$

Response Body

RecipeChallengeStatus

application/json
  1. response
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid
expiresAt*string
observedPhone*|null
confirmedAt*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.integrationCatalog.recipeWhatsAppChallengeConfirm({
  "accountId": "example",
  "id": "example",
  "observedPhone": "example"
});
Example Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "expiresAt": "string",
  "observedPhone": "string",
  "confirmedAt": "string"
}

Related documentation